PDA

Visualizza la versione completa : ProzillaGUI: libreria FLTK?


griphon
06-05-2005, 13:58
Ciao a tutti,
per far funzionare il download accelerator Prozilla-GUI nella mia Ret Hat 9 ho bisogno di una libreria o meglio di un singolo file:
libftlk.so.1
che ho cercato invano tutta questa mattina...
sembra che questo file non sia contenuto in nessun pacchetto FTLK che nel relativo devel; ho provato anche varie versioni della stessa ma niente da fare...
qualcuno pu˛ aiutarmi? Non Ŕ che per fortuna l'avete nel vostro hd?
Grazie in anticipo!

griphon
06-05-2005, 14:00
Mi correggo:
il file Ŕ libfltk.so.1

Sergej_D
06-05-2005, 14:31
Teoricamente dovrebbe essere creato quando installi le librerie...
Hai usato il pacchetto per la tua distribuzione o i binari??

Io comunque prozilla lo uso da linea di comando :)

Sergej

griphon
06-05-2005, 14:55
Ho usato sia rpm specifici per RH9 che generici rpm sia redhat che non trovati in rete (ma niente da fare...).
Il sito prozillagui fornisce solo fltkdevel che ovviamente non si installa causa dipendenza da fltk principale (ovviamente non ho trovato la versione specifica ma solo altre aggiornate o meno che danno errori vari...).
L'unica cosa che non ho provato sono i sorgenti...
riprover˛ lunedi mattina (volevo cmq riuscire a far funzionale prozilla da gui x comoditÓ...).

griphon
09-05-2005, 14:30
Niente, neanche compilando i sorgenti di libfltk viene generata la libreria libfltk.so.1, ma solamente la .so ....
Devo abbandonare ogni speranza oppure c'Ŕ ancora qualche possibilitÓ?

griphon
10-05-2005, 11:55
Visto il fallimento di Prozilla e relativa gui, sono passato ad Aria ma anche qui solo croci...
Non esistendo un pacchetto rpm specifico per Ret Hat 9, ho deciso per la compilazione dei sorgenti; passata indenne la fase del configure ho ricevuto diversi errori:
make all-recursive
make[1]: Entering directory `/home/user/src/aria-1.0.0'
Making all in resources
make[2]: Entering directory `/home/user/src/aria-1.0.0/resources'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/user/src/aria-1.0.0/resources'
Making all in intl
make[2]: Entering directory `/home/user/src/aria-1.0.0/intl'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/user/src/aria-1.0.0/intl'
Making all in src
make[2]: Entering directory `/home/user/src/aria-1.0.0/src'
Making all in pixmaps
make[3]: Entering directory `/home/user/src/aria-1.0.0/src/pixmaps'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/user/src/aria-1.0.0/src/pixmaps'
make[3]: Entering directory `/home/user/src/aria-1.0.0/src'
g++ -DHAVE_CONFIG_H -I. -I. -I.. -O2 -Wall -DLOCALEDIR=\"/usr/local/share/locale\" -DDATADIR=\"/usr/local/share\" -I../intl -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -D_REENTRANT -I/usr/X11R6/include -c main.cc
In file included from /usr/include/openssl/ssl.h:179,
from main.cc:39:
/usr/include/openssl/kssl.h:72:18: krb5.h: No such file or directory
In file included from /usr/include/openssl/ssl.h:179,
from main.cc:39:
/usr/include/openssl/kssl.h:132: 'krb5_enctype' is used as a type, but is not
defined as a type.
/usr/include/openssl/kssl.h:134: parse error before `*' token
/usr/include/openssl/kssl.h:147: parse error before `*' token
/usr/include/openssl/kssl.h:151: parse error before `*' token
/usr/include/openssl/kssl.h:153: parse error before `*' token
/usr/include/openssl/kssl.h:155: parse error before `*' token
/usr/include/openssl/kssl.h:157: parse error before `*' token
/usr/include/openssl/kssl.h:159: `krb5_context' was not declared in this scope
/usr/include/openssl/kssl.h:159: parse error before `,' token
/usr/include/openssl/kssl.h:160: `krb5_context' was not declared in this scope
/usr/include/openssl/kssl.h:160: parse error before `,' token
/usr/include/openssl/kssl.h:163: `krb5_timestamp' was not declared in this
scope
/usr/include/openssl/kssl.h:163: parse error before `,' token
/usr/include/openssl/kssl.h:165: parse error before `*' token
/usr/include/openssl/kssl.h:167: `krb5_enctype' was not declared in this scope
/usr/include/openssl/kssl.h:167: parse error before `,' token
In file included from /usr/include/c++/3.2.2/backward/pair.h:59,
from ItemList.h:34,
from main.cc:46:
/usr/include/c++/3.2.2/backward/backward_warning.h:32:2: warning: #warning This file includes at least one deprecated or antiquated header. Please consider using one of the 32 headers found in section 17.4.1.2 of the C++ standard. Examples include substituting the <X> header for the <X.h> header for C++ includes, or <sstream> instead of the deprecated header <strstream.h>. To disable this warning use -Wno-deprecated.
make[3]: *** [main.o] Error 1
make[3]: Leaving directory `/home/user/src/aria-1.0.0/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/user/src/aria-1.0.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/user/src/aria-1.0.0'
make: *** [all-recursive-am] Error 2

Si puossono risolvere i problemi ricevuti? Sembrerebbe che richieda un aggiornamento di gcc e/o gtk+, ma apt-get mi dice che sono giÓ aggiornati all'ultima release.
......

griphon
12-05-2005, 12:34
Nessun suggerimento?
Ho provato anche "downloader for x", ma spesso si autokilla senza nessun motivo (ovviamente durante i download...).
In Red Hat 9 di serie c'Ŕ solo Kget, ma non parte per niente...
Esiste un downloader decente per questa distribuzione?

griphon
17-05-2005, 14:45
Possibile che non esista un downloader funzionante per questa distribuzione?

Loading